@media print
{
    .new-page { page-break-after: always; }

    #table-of-contents {
        clear:both;
        float: none;
        width: 100%;
    }
}

body {
    background: #1b1921;
    color: #cfcfcf;
}

img {
    border: solid 2px #000;
}

h1 { font-size: 16pt; }
h2 { font-size: 16pt; }
h3 { font-size: 20pt; }
h4 { font-size: 16pt; }

a {
    color: #E4B1FF;
}

a:hover {
    color: #8797ff;
}

a:visited {
    color: #c68dff;
}

table {
    margin: 0 auto;
}

#content {
    width: 100%;
    max-width: 90%;
    background: #25222d;
    padding-left: 20px;
}

#table-of-contents {
    width: 30%;
    margin-left: 20px;
    margin-bottom: 20px;
    float: right;
    border: solid 1px #AAA;
    background: #363636;
}

#table-of-contents li {
    margin: 5px 0;
}

#table-of-contents a {
    /*color: #663300;*/
}

#table-of-contents h2 {
    text-align:center;
}

#table-of-contents #text-table-of-contents {
    font-family: sans-serif;
    padding-right: 10px;
}

hr {
    border: none;
    height: 1px;
    background: #AAA;
}

.outline-3 {
    border-left: solid 20px #492aa3;
    padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px;
    margin-bottom: 100px;
    background: #2e2b36;
}
h3 {
    background: #492aa3;
    margin-left: -20px;
    padding: 5px 0;
}

.outline-4 {
    border-left: solid 20px #6445c1;
    padding-left: 20px;
    padding-bottom: 20px;
    margin-bottom: 100px;
    background: #2e2b36;
}

h4 {
    background: #6445c1;
    margin-left: -20px;
    padding: 5px 0;
}

.outline-text-5 {
    margin-bottom: 50px;
}

pre.src {
    font-size: 15pt;
    overflow-x: scroll;
    background: #150046;
    border: solid 2px #000;
}

.console, .src-bash, .src-terminal {
    background: #333;
    color: #fff;
    padding: 10px;
    font-family: monospace;
}

.src-fileout {
    border: outset 5px #aaa;
    background: #ccc;
    color: #000;
}

.textfile {
    background: #fff;
    color: #000;
    padding: 10px;
}


.LATEX { display: none; }



table.uml {
    border: solid 1px #000;
    background: #FFF0B2;
    font-family: monospace;
    font-size: 10pt;
}

table.uml tr td:nth-of-type( even ),
table.uml tr th:nth-of-type( even ) {
    background: #FFF0B2;
}

table.uml, table.uml tr td code, table.uml tr td pre {
    background: #FFF0B2;
    font-family: monospace;
    font-size: 10pt;
}

table.uml code, table.uml pre {
    padding: 0;
    margin: 0;
    border: none;
}
